<?php
/** 
 *------------------------------------------------------------------------------
 * @package       T3 Framework for Joomla!
 *------------------------------------------------------------------------------
 * @copyright     Copyright (C) 2004-2013 JoomlArt.com. All Rights Reserved.
 * @license       GNU General Public License version 2 or later; see LICENSE.txt
 * @authors       JoomlArt, JoomlaBamboo, (contribute to this project at github 
 *                & Google group to become co-author)
 * @Google group: https://groups.google.com/forum/#!forum/t3fw
 * @Link:         http://t3-framework.org 
 *------------------------------------------------------------------------------
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * T3 Blank Helper class
 *
 * @package		T3 Blank
 */


jimport('joomla.event.event');

class JA_SmashboardHook extends JEvent
{
	
	public function __construct(&$subject, $config)
	{
		parent::__construct($subject, $config);		
	}
	
	public function onT3BeforeCompileHead() // no params
	{
		if(isset($_SERVER['HTTP_REFERER']) && preg_match('/MSIE\s([\d.]+)/', $_SERVER['HTTP_USER_AGENT'], $match) && (intval($match[1]) == 9)){
			$doc = JFactory::getDocument();
			$stylesheets = array();
			$rand = time();
			foreach ($doc->_styleSheets as $url => $css) {
				$stylesheets[$url . (strpos($url, '?') !== false ? '&' : '?') . '_=' . $rand] = $css;
			}

			$doc->_styleSheets = $stylesheets;
		}
	}
}
?>